Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.exp
Class ContainsKeyExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.CompareEqualExpression
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.EqualExpression
                  |
                  +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.ContainsExpression
                        |
                        +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.ContainsKeyExpression

All Implemented Interfaces:
  Expression, JDBCExpression

public class ContainsKeyExpression
extends ContainsExpression

Tests whether a map value contains a key.

Constructor Summary
`ContainsKeyExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val1, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val2)` Constructor.

Method Summary
`void` | `initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, com.solarmetric.rd.kodo.impl.jdbc.runtime.Select select, java.util.Map containsCounts)` Initialize the expression.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.query.exp.ContainsExpression
`compareValueToNull`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.query.exp.EqualExpression
`appendTo`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.query.exp.CompareEqualExpression
`appendOrdering, appendTo, getJoins, getValue1, getValue2`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainsKeyExpression

    public ContainsKeyExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val1,
                                 com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val2)

  Constructor. Supply values to test.

Method Detail

### initialize

    public void initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                           com.solarmetric.rd.kodo.impl.jdbc.runtime.Select select,
                           java.util.Map containsCounts)

  Description copied from interface: `JDBCExpression`
  Initialize the expression. This method should recursively initialize any sub-expressions or values. It should also cache the `Joins` instance containing the joins for this expression.

  Specified by:
    `initialize` in interface `JDBCExpression`
  Overrides:
    `initialize` in class `ContainsExpression`
  Parameters:
    `pm` - the persistence manager for this query
    `select` - manage joins made in each query clause
    `containsCounts` - map of relation paths to the number of times the paths appear in a contains() expression; used to ensure paths used for contains() within the same AND expression used different aliases

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.